org.keycloak.saml.common.exceptions.fed

## Class AssertionExpiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - org.keycloak.saml.common.exceptions.fed.AssertionExpiredException

- All Implemented Interfaces:
    Serializable

      public class AssertionExpiredException
      extends GeneralSecurityException

  Security Exception indicating expiration of SAML2 assertion
  Since:
    Dec 12, 2008
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertionExpiredException()`
    `AssertionExpiredException(String msg)`
    `AssertionExpiredException(String message, Throwable cause)`
    `AssertionExpiredException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `void` | `setId(String id)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

  - ### Constructor Detail

    - #### AssertionExpiredException

          public AssertionExpiredException()

    - #### AssertionExpiredException

          public AssertionExpiredException(String message,
                                           Throwable cause)

    - #### AssertionExpiredException

          public AssertionExpiredException(String msg)

    - #### AssertionExpiredException

          public AssertionExpiredException(Throwable cause)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

Copyright © 2016 JBoss by Red Hat. All rights reserved.